Infinity Campus

Reports - Visitors | Infinity API

Written by Infinity | Nov 18, 2026, 5:23:33 AM

Introduction

A visitor represents a single cookied web browser.

Visitor Information

Retrieves information on a tracked Visitor by their Visitor ID.

Request

Get Visitor Information by ID

HTTP / Text
GET /reports/v2/igrps/{IGRP SPECIFIER}/visitors/{VISITOR SPECIFIER}

URL Path Params

Property Description
IGRP SPECIFIER (int) Installation ID.
VISITOR SPECIFIER (int) Visitor ID.

GET Params

Property Description
tz (string)
OPTIONAL
Timezone to convert to, see Dates and Timezones.
excludePiiData (flag)
OPTIONAL
If PII Data should be redacted. This only applies to users who have the piiData permission, otherwise data is always redacted. This flag has no effect for users without the piiData permission.

Response

Returns a Visitor Information row.

Field Definitions

Visitors

Property Description
vid Visitor UUID.
ip The visitor IP address.
host Reverse DNS lookup of IP or IP if no RDNS.
ua User agent string of visitor.
firstDatetime Visitor’s first visit datetime converted from UTC when tz param is supplied to the request. Format: “YYYY-MM-DD HH:MM:SS”.
lastDatetime Visitor’s last visit datetime converted from UTC when tz param is supplied to the request. Format: “YYYY-MM-DD HH:MM:SS”.
res Screen resolution of visitor.
continent Continent code looked up from IP.
country Country code looked up from IP (ISO-3166 standard country code).
region Region code looked up from IP .
city City name looked up from IP.
postcode Postcode looked up from IP (USA only).
lat Latitude looked up from IP.
long Longitude looked up from IP.
area Area code looked up from IP (USA only).
spider If the IP is a known spider, then the spider organisation is displayed.
whois WHOIS organization looked up from IP.
pageViews Visitor’s page views count.
goals Visitor’s goal count.
calls Visitor’s calls count.
visitorType The type of visitor either N (Normal), I (Internal) or S (Spider).
sfWhoRef The Salesforce lead or contact ID this visitor is associated with.
JSON
{
  "vid": "eb983b45-4318-458d-8bbb-7850a500ac52",
  "ip": "169.254.0.1",
  "host": "rdns.host",
  "ua": "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.84 Safari/537.36",
  "firstDatetime": "2017-12-21 12:16:21",
  "lastDatetime": "2018-01-15 14:44:14",
  "res": "2560x1440",
  "continent": "",
  "country": "",
  "region": "",
  "city": "",
  "postcode": "",
  "lat": "0.0000",
  "long": "0.0000",
  "area": "",
  "spider": "",
  "whois": "",
  "pageViews": "30",
  "goals": "2",
  "calls": "1",
  "visitorType": "N",
  "sfWhoRef": ""
}